CharterOpsCharterOps

API reference

Requests for quotes

Ask operators to quote a trip request, message them, and list the contacts you asked before.

List a request's requests for quotes

GET/v1/trip-requests/{id}/rfqs

Scope
read
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Query parameters

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 100.

Response

200 OK

Returns a page of RFQ objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/trip-requests/$ID/rfqs" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Request quotes from operators

POST/v1/trip-requests/{id}/rfqs

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Request body

  • operatorsarray of objectsRequired

    1 to 20 items.

    3 fields in operators
    • emailemailRequired

    • operator_idUUIDRequired

    • namestring

      1 to 120 characters.

  • notestring

    Up to 2,000 characters.

Response

201 Created

Returns the RFQ batch object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/trip-requests/$ID/rfqs" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

Read the messages on a request for quotes

GET/v1/rfqs/{id}/messages

Scope
read
Quota
Does not count

Path parameters

  • idstringRequired

    The rfq's id for its organization, or the link's token

Query parameters

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 100.

Response

200 OK

Returns a page of RFQ message objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/rfqs/$ID/messages" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Write on a request for quotes

POST/v1/rfqs/{id}/messages

Scope
write
Quota
Does not count

Path parameters

  • idstringRequired

    The rfq's id for its organization, or the link's token

Headers

  • Idempotency-Keystring

    1 to 200 characters.

Request body

  • bodystringRequired

    1 to 2,000 characters.

Response

201 Created

Returns the RFQ message object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/rfqs/$ID/messages" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

Withdraw a request for quotes

POST/v1/rfqs/{id}/withdrawals

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Response

200 OK

Returns the RFQ object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/rfqs/$ID/withdrawals" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)"

List remembered operator contacts

GET/v1/operator-contacts

Scope
read
Quota
Counts toward your allowance

Query parameters

  • operator_id[]array of UUIDs

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 100.

Response

200 OK

Returns a page of operator contact objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/operator-contacts" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Objects

RFQ

  • contact_emailstring

  • contact_namestringCan be null

  • created_byobjectCan be null

    3 fields in created_by
    • avatar_urlstringCan be null

    • display_namestring

    • user_idUUIDCan be null

  • expires_atdate-time

  • idUUID

  • is_expiredboolean

  • last_message_atdate-timeCan be null

  • last_message_authorstringCan be null

    One ofbrokeroperator

  • message_countinteger

  • notestringCan be null

  • operatorobject

    4 fields in operator
    • dba_namestringCan be null

    • designatorstring

    • idUUID

    • legal_namestring

  • quote_amount_centsintegerCan be null

  • quote_idUUIDCan be null

  • responded_atdate-timeCan be null

  • response_notestringCan be null

  • sent_atdate-time

  • statusstring

    One ofsentquoteddeclinedwithdrawn

  • trip_request_idUUID

  • viewed_atdate-timeCan be null

RFQ batch

  • emailedboolean

  • itemsarray of objects

    20 fields in items
    • contact_emailstring

    • contact_namestringCan be null

    • created_byobjectCan be null

      3 fields in created_by
      • avatar_urlstringCan be null

      • display_namestring

      • user_idUUIDCan be null

    • expires_atdate-time

    • idUUID

    • is_expiredboolean

    • last_message_atdate-timeCan be null

    • last_message_authorstringCan be null

      One ofbrokeroperator

    • message_countinteger

    • notestringCan be null

    • operatorobject

      4 fields in operator
      • dba_namestringCan be null

      • designatorstring

      • idUUID

      • legal_namestring

    • quote_amount_centsintegerCan be null

    • quote_idUUIDCan be null

    • responded_atdate-timeCan be null

    • response_notestringCan be null

    • sent_atdate-time

    • statusstring

      One ofsentquoteddeclinedwithdrawn

    • trip_request_idUUID

    • urlstringCan be null

    • viewed_atdate-timeCan be null

RFQ message

  • atdate-time

  • authorstring

    One ofbrokeroperator

  • author_namestring

  • bodystring

  • idUUID

Operator contact

  • emailstring

  • namestringCan be null

  • operator_idUUID

  • updated_atdate-time